#pragma once
#include <qtablewidget.h>
#include <QWidget>

class BankSettingsWindow final : public QWidget {
    Q_OBJECT

public:
    BankSettingsWindow(QWidget *parent, QString deviceId, QString deviceName);

private:
    QString m_deviceId;
    QString m_deviceName;

    QTableWidgetItem *createTableWidget(const QString &text);

    void startCheckPinCode(const QString &appCode);

    void reloadContent(QTableWidget *tableWidget);
};
